# Class SnpEffPredictorFactoryKnownGene

java.lang.Object
org.snpeff.snpEffect.factory.SnpEffPredictorFactory
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryKnownGene

public class SnpEffPredictorFactoryKnownGene extends SnpEffPredictorFactory
This class creates a SnpEffectPredictor from a TXT file dumped using UCSC table browser Fields in this table Field Example SQL type Info Description ----- ------- -------- ---- ----------- name uc001aaa.3 varchar(255) values Name of gene chrom chr1 varchar(255) values Reference sequence chromosome or scaffold strand + char(1) values + or - for strand txStart 11873 int(10) unsigned range Transcription start position txEnd 14409 int(10) unsigned range Transcription end position cdsStart 11873 int(10) unsigned range Coding region start cdsEnd 11873 int(10) unsigned range Coding region end exonCount 3 int(10) unsigned range Number of exons exonStarts 11873,12612,13220, longblob Exon start positions exonEnds 12227,12721,14409, longblob Exon end positions proteinID varchar(40) values UniProt display ID for Known Genes, UniProt accession or RefSeq protein ID for UCSC Genes alignID uc001aaa.3 varchar(255) values Unique identifier for each (known gene, alignment position) pair

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CDS_STAT_COMPLETE`

### Fields inherited from class SnpEffPredictorFactory

`MARK, MIN_TOTAL_FRAME_COUNT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffPredictorFactoryKnownGene(Config config)`

## Method Summary

Modifier and Type
Method
Description
`SnpEffectPredictor`
`create()`
`protected void`
`readRefSeqFile()`
Read and parse genes file

### Methods inherited from class SnpEffPredictorFactory

`add, add, add, add, add, add, addMarker, addSequences, adjustChromosomes, adjustTranscripts, beforeExonSequences, codingFromCds, collapseZeroLenIntrons, createRandSequences, deleteRedundant, exonsFromCds, exonsFromCds, findGene, findGene, findMarker, findTranscript, findTranscript, getOrCreateChromosome, getProteinByTrId, parsePosition, readExonSequences, replaceTranscript, setCircularCorrectLargeGap, setCreateRandSequences, setDebug, setFastaFile, setFileName, setRandom, setReadSequences, setStoreSequences, setVerbose, showChromoNamesDifferences`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CDS_STAT_COMPLETE

public static final String CDS_STAT_COMPLETE

See Also:
  - Constant Field Values

## Constructor Details

### SnpEffPredictorFactoryKnownGene

public SnpEffPredictorFactoryKnownGene(Config config)

## Method Details

### create

public SnpEffectPredictor create()

Specified by:
  `create` in class `SnpEffPredictorFactory`

### readRefSeqFile

protected void readRefSeqFile()
Read and parse genes file